From: mornfall@sourceware.org <mornfall@sourceware.org>
To: lvm-devel@redhat.com
Subject: LVM2/test t-pvcreate-operation.sh
Date: 22 Feb 2010 14:47:56 -0000 [thread overview]
Message-ID: <20100222144756.3616.qmail@sourceware.org> (raw)
CVSROOT: /cvs/lvm2
Module name: LVM2
Changes by: mornfall at sourceware.org 2010-02-22 14:47:56
Modified files:
test : t-pvcreate-operation.sh
Log message:
Relax a check on blkid exit value, which seems to be different in different
versions. Fixes a spurious test failure introduced with -o pipefail.
Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-pvcreate-operation.sh.diff?cvsroot=lvm2&r1=1.16&r2=1.17
--- LVM2/test/t-pvcreate-operation.sh 2009/06/06 16:40:39 1.16
+++ LVM2/test/t-pvcreate-operation.sh 2010/02/22 14:47:55 1.17
@@ -114,4 +114,5 @@
mkswap $dev1
blkid -c /dev/null $dev1 | grep "swap"
pvcreate -f $dev1
-blkid -c /dev/null $dev1 | not grep "swap"
+# blkid cannot make up its mind whether not finding anything it knows is a failure or not
+(blkid -c /dev/null $dev1 || true) | not grep "swap"
next reply other threads:[~2010-02-22 14:47 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2010-02-22 14:47 mornfall [this message]
-- strict thread matches above, loose matches on Subject: below --
2008-12-16 20:02 LVM2/test t-pvcreate-operation.sh mbroz
2008-08-01 15:44 zkabelac
2008-07-24 17:33 wysochanski
2008-07-21 18:50 wysochanski
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20100222144756.3616.qmail@sourceware.org \
--to=mornfall@sourceware.org \
--cc=lvm-devel@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.